Get ScheduleJob

Get a schedule job

Request example

curl --location 
'https://api.liveramp.com/analytics-environment/v1/schedule-jobs/${jobId}' \
--header 'Tenant-ID: ${tenantId}' \
--header 'Authorization: Bearer ${access_token}'

Response example

{
    "id": 123,
    "tenantId": 123456,
    "clusterType": "Small",
    "jobType": "PySpark",
    "name": "test",
    "description": "test",
    "mainFile": "gs://lranalytics-eu-123456-cert-awob-coderepo/testFolder01/111.py",
    "frequency": "25 0 * * 4",
    "bigqueryFrequency": null,
    "onetimeJob": false,
    "timeZone": "Asia/Shanghai",
    "jobArgs": "",
    "pyFiles": [
        "gs://lranalytics-eu-666134-cert-awob-coderepo/1.py"
    ],
    "status": "STOPPED",
    "enabled": true,
    "additionalPackages": "",
    "startDate": null,
    "endDate": null,
    "createTime": "Oct 25, 2023 9:45:41 AM",
    "createBy": "",
    "updateTime": "Dec 1, 2023 7:22:56 AM",
    "updateBy": "",
    "nextRuntime": "2023-12-07 00:25:00",
    "elapseTime": 325,
    "dataprocVersion": "dataproc2.0",
    "emailAlert": null,
    "deleted": null,
    "userEmail": null,
    "priority": 3,
    "query": null,
    "destinationDataset": null,
    "destinationTable": null,
    "destinationTablePartitionField": null,
    "writeDisposition": null,
    "pythonVersion": "3.8"
    "jobOwner": null
}
Language